import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "QueekusPlugins.mgabc.MsgBox";

LangVerified = false;

if (Turbine.Engine.GetLocale() == "en") then

	pcall(function() import "QueekusPlugins.mgabc.LangDataEN" end); -- CHANGE BACK TO "EN"
	LangVerified = true;

elseif (Turbine.Engine.GetLocale() == "fr") then

	pcall(function() import "QueekusPlugins.mgabc.LangDataFR" end);
	LangVerified = true;

elseif (Turbine.Engine.GetLocale() == "de") then

	pcall(function() import "QueekusPlugins.mgabc.LangDataDE" end);
	--LangVerified = true;  --NOT HERE SO ACTS AS CUTOFF SO THERE'S NO ERRORS
	
	MsgBoxDE = QueekusPlugins.mgabc.MsgBox("Die deutsche sprache","--------------..--","ist nicht verfugbar!"); -- the 2 ..'s are for the accent that lotro cannot show
	MsgBoxDE:SetVisible(true);

else

	MsgBox = QueekusPlugins.mgabc.MsgBox("Cannot Gather Locale Data", "Ne peuvent pas recueillir de informations Locale", Turbine.Engine.GetLocale());
	MsgBox:SetVisible(true);

end

if (LangVerified == true) then

	
	local RColor = 0.0
	local GColor = 0.0
	local BColor = 1.0

	window = Turbine.UI.Lotro.Window();
	window:SetPosition( 350, 100 );
	window:SetSize( 418, 460 );
	window:SetText( ""..Lang[1][1] ..Plugins["mgabc"]:GetVersion());
	window:SetVisible( true );
	window:SetOpacity( "1" );

	label = Turbine.UI.Label();
	label:SetParent( window );
	label:SetPosition( 50, 34 );
	label:SetSize( 158, 15 );
	label:SetBackColor( Turbine.UI.Color( RColor, GColor, BColor ) );
	label:SetText( ""..Lang[1][24] );
	label:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );

	Resource_Update = Turbine.UI.Label();
	Resource_Update:SetParent( window );
	Resource_Update:SetPosition( 210, 34 );
	Resource_Update:SetSize( 178, 15 );
	Resource_Update:SetBackColor( Turbine.UI.Color( RColor, GColor, BColor ) );
	Resource_Update:SetText( ""..Lang[1][2] );
	Resource_Update:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	Resource_Update:SetForeColor( Turbine.UI.Color( 1, 0, 0 ) );

	Resource_Update.MouseClick = function( sender , args)

		Resource_Update:SetVisible( false );

	end

	Copywrite = Turbine.UI.Label();
	Copywrite:SetParent( window );
	Copywrite:SetSelectable( true );
	Copywrite:SetPosition( 50, 435 );
	Copywrite:SetSize( 318, 15 );
	Copywrite:SetBackColor( Turbine.UI.Color( RColor, GColor, BColor ) );
	Copywrite:SetText( ""..Lang[1][3] );
	Copywrite:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	
	label1 = Turbine.UI.TextBox();
	label1:SetParent( window );
	label1:SetSelectable( true );
	label1:SetPosition( 10, 92 );
	label1:SetSize( 118, 38 );
	label1:SetBackColor( Turbine.UI.Color( RColor, GColor, BColor ) );
	label1:SetText( ""..Lang[1][4] );
	label1:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );

	label2 = Turbine.UI.TextBox();
	label2:SetParent( window );
	label2:SetSelectable( true );
	label2:SetPosition( 130, 92 );
	label2:SetSize( 78, 38 );
	label2:SetBackColor( Turbine.UI.Color( RColor, GColor, BColor ) );
	label2:SetText( ""..Lang[1][5] );
	label2:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );

	quickslot1 = Turbine.UI.Lotro.Quickslot()
	quickslot1:SetParent( window );
	quickslot1:SetPosition( 10, 52 );
	quickslot1:SetSize( 38, 38 );	
	quickslot1:SetAllowDrop(true);
	quickslot1:SetBackColor( Turbine.UI.Color( 0.0, 0.0, 1.0 ) );

	quickslot2 = Turbine.UI.Lotro.Quickslot()
	quickslot2:SetParent( window );
	quickslot2:SetPosition( 50, 52 );
	quickslot2:SetSize( 38, 38 );
	quickslot2:SetAllowDrop(true);
	quickslot2:SetBackColor( Turbine.UI.Color( 0.0, 0.0, 1.0 ) );

	quickslot3 = Turbine.UI.Lotro.Quickslot()
	quickslot3:SetParent( window );
	quickslot3:SetPosition( 90, 52 );
	quickslot3:SetSize( 38, 38 );
	quickslot3:SetAllowDrop(true);
	quickslot3:SetBackColor( Turbine.UI.Color( 0.0, 0.0, 1.0 ) );

	quickslot4 = Turbine.UI.Lotro.Quickslot()
	quickslot4:SetParent( window );
	quickslot4:SetPosition( 130, 52 );
	quickslot4:SetSize( 38, 38 );
	quickslot4:SetAllowDrop(true);
	quickslot4:SetBackColor( Turbine.UI.Color( 0.0, 0.0, 1.0 ) );

	quickslot5 = Turbine.UI.Lotro.Quickslot()
	quickslot5:SetParent( window );
	quickslot5:SetPosition( 170, 52 );
	quickslot5:SetSize( 38, 38 );
	quickslot5:SetAllowDrop(true);
	quickslot5:SetBackColor( Turbine.UI.Color( 0.0, 0.0, 1.0 ) );

	quickslot6 = Turbine.UI.Lotro.Quickslot()
	quickslot6:SetParent( window );
	quickslot6:SetPosition( 210, 52 );
	quickslot6:SetSize( 38, 38 );
	quickslot6:SetAllowDrop(true);
	quickslot6:SetBackColor( Turbine.UI.Color( 0.0, 0.0, 1.0 ) );

	quickslot7 = Turbine.UI.Lotro.Quickslot()
	quickslot7:SetParent( window );
	quickslot7:SetPosition( 250, 52 );
	quickslot7:SetSize( 38, 38 );
	quickslot7:SetAllowDrop(true);
	quickslot7:SetBackColor( Turbine.UI.Color( 0.0, 0.0, 1.0 ) );

	quickslot8 = Turbine.UI.Lotro.Quickslot()
	quickslot8:SetParent( window );
	quickslot8:SetPosition( 290, 52 );
	quickslot8:SetSize( 38, 38 );
	quickslot8:SetAllowDrop(true);
	quickslot8:SetBackColor( Turbine.UI.Color( 0.0, 0.0, 1.0 ) );

	quickslot9 = Turbine.UI.Lotro.Quickslot()
	quickslot9:SetParent( window );
	quickslot9:SetPosition( 330, 52 );
	quickslot9:SetSize( 38, 38 );
	quickslot9:SetAllowDrop(true);
	quickslot9:SetBackColor( Turbine.UI.Color( 0.0, 0.0, 1.0 ) );

	quickslot10 = Turbine.UI.Lotro.Quickslot()
	quickslot10:SetParent( window );
	quickslot10:SetPosition( 370, 52 );
	quickslot10:SetSize( 38, 38 );
	quickslot10:SetAllowDrop(true);
	quickslot10:SetBackColor( Turbine.UI.Color( 0.0, 0.0, 1.0 ) );

	quickslotSP = Turbine.UI.Lotro.Quickslot()
	quickslotSP:SetParent( window );
	quickslotSP:SetPosition( 330, 92 );
	quickslotSP:SetSize( 38, 38 );
	quickslotSP:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ""..Lang[1][6] .." " ..label1:GetText() .." " ..label2:GetText() .." " ..Lang[1][10]) )
	quickslotSP:SetAllowDrop(true);
	quickslotSP:SetBackColor( Turbine.UI.Color( 0.0, 0.0, 1.0 ) );

	quickslotPS = Turbine.UI.Lotro.Quickslot()
	quickslotPS:SetParent( window );
	quickslotPS:SetPosition( 370, 92 );
	quickslotPS:SetSize( 38, 38 );
	quickslotPS:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ""..Lang[1][7]) )
	quickslotPS:SetAllowDrop(true);
	quickslotPS:SetBackColor( Turbine.UI.Color( 0.0, 0.0, 1.0 ) );
	
	quickslotP = Turbine.UI.Lotro.Quickslot()
	quickslotP:SetParent( window );
	quickslotP:SetPosition( 290, 92 );
	quickslotP:SetSize( 38, 38 );
	quickslotP:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ""..Lang[1][6] .." " ..label1:GetText() .." " ..label2:GetText()) )
	quickslotP:SetAllowDrop(true);
	quickslotP:SetBackColor( Turbine.UI.Color( 0.0, 0.0, 1.0 ) );

	quickslotMM = Turbine.UI.Lotro.Quickslot()
	quickslotMM:SetParent( window );
	quickslotMM:SetPosition( 250, 92 );
	quickslotMM:SetSize( 38, 38 );
	quickslotMM:SetZOrder(100);
	quickslotMM:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ""..Lang[1][8]) )
	quickslotMM:SetAllowDrop(true);
	quickslotMM:SetBackColor( Turbine.UI.Color( 0.0, 0.0, 1.0 ) );
	
	compactQuicks = Turbine.UI.Lotro.Quickslot()
	compactQuicks:SetParent( window );
	compactQuicks:SetPosition( 210, 92 );
	compactQuicks:SetSize( 38, 38 );
	compactQuicks:SetZOrder(100);
	compactQuicks:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ""..Lang[1][9]) )
	compactQuicks:SetAllowDrop(true);
	compactQuicks:SetBackColor( Turbine.UI.Color( 0.0, 0.0, 1.0 ) );
	
	compactcontrol = Turbine.UI.Control();
	compactcontrol:SetParent( window );
	compactcontrol:SetPosition(210, 92);
	compactcontrol:SetSize(38, 38);
	compactcontrol:SetZOrder(110);
	compactcontrol:SetMouseVisible(false);
	compactcontrol:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	compactcontrol:SetBackground("QueekusPlugins/mgabc/CompactbasicBlue.tga");

	musicIcon = Turbine.UI.Control();
	musicIcon:SetParent( window );
	musicIcon:SetPosition(250, 92);
	musicIcon:SetSize(38, 38);
	musicIcon:SetZOrder(110);
	musicIcon:SetMouseVisible(false);
	musicIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	musicIcon:SetBackground("QueekusPlugins/mgabc/MusicbasicBlue.tga");

	playIcon = Turbine.UI.Control();
	playIcon:SetParent( window );
	playIcon:SetPosition(290, 92);
	playIcon:SetSize(38, 38);
	playIcon:SetZOrder(110);
	playIcon:SetMouseVisible(false);
	playIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	playIcon:SetBackground("QueekusPlugins/mgabc/PlaybasicBlue.tga");	

	PlaySyncIcon = Turbine.UI.Control();
	PlaySyncIcon:SetParent( window );
	PlaySyncIcon:SetPosition(330, 92);
	PlaySyncIcon:SetSize(38, 38);
	PlaySyncIcon:SetZOrder(110);
	PlaySyncIcon:SetMouseVisible(false);
	PlaySyncIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	PlaySyncIcon:SetBackground("QueekusPlugins/mgabc/PlaySyncbasicBlue.tga");
	
	PlayStartIcon = Turbine.UI.Control();
	PlayStartIcon:SetParent( window );
	PlayStartIcon:SetPosition(370, 92);
	PlayStartIcon:SetSize(38, 38);
	PlayStartIcon:SetZOrder(110);
	PlayStartIcon:SetMouseVisible(false);
	PlayStartIcon:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	PlayStartIcon:SetBackground("QueekusPlugins/mgabc/PlayStartbasicBlue.tga");
	
	quickslotMM.MouseEnter = function( sender , args )                               --/Music*
	
		musicIcon:SetBackground("QueekusPlugins/mgabc/MusichoverBlue.tga");
	
	end
	
	quickslotMM.MouseLeave = function( sender , args )
	
		musicIcon:SetBackground("QueekusPlugins/mgabc/MusicbasicBlue.tga");
	
	end
	
	quickslotP.MouseEnter = function(sender, args)                               --/Play
		
		quickslotSP:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ""..Lang[1][6] .." " ..label1:GetText() .." " ..label2:GetText() .." " ..Lang[1][10] ))
	
		quickslotP:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ""..Lang[1][6] .." " ..label1:GetText() .." " ..label2:GetText()) )
	
		playIcon:SetBackground("QueekusPlugins/mgabc/PlayhoverBlue.tga");
	
	end
	
	quickslotP.MouseLeave = function( sender , args )
	
		playIcon:SetBackground("QueekusPlugins/mgabc/PlaybasicBlue.tga");
	
	end
	
	quickslotPS.MouseEnter = function( sender , args )                               --/PlayStart*
	
		PlayStartIcon:SetBackground("QueekusPlugins/mgabc/PlayStarthoverBlue.tga");
	
	end
	
	quickslotPS.MouseLeave = function( sender , args )
	
		PlayStartIcon:SetBackground("QueekusPlugins/mgabc/PlayStartbasicBlue.tga");
	
	end
	
	quickslotSP.MouseEnter = function( sender , args )                               --/SyncPlay
	
		quickslotSP:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ""..Lang[1][6] .." " ..label1:GetText() .." " ..label2:GetText() .." " ..Lang[1][10] ))
	
		quickslotP:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ""..Lang[1][6] .." " ..label1:GetText() .." " ..label2:GetText()) )
	
		PlaySyncIcon:SetBackground("QueekusPlugins/mgabc/PlaySynchoverBlue.tga");
	
	end
	
	quickslotSP.MouseLeave = function( sender , args )
	
		PlaySyncIcon:SetBackground("QueekusPlugins/mgabc/PlaySyncbasicBlue.tga");
	
	end
	
	compactQuicks.MouseEnter = function( sender , args )                               --/Compact
	
	compactcontrol:SetBackground("QueekusPlugins/mgabc/CompacthoverBlue.tga");

	end

	compactQuicks.MouseLeave = function( sender , args )

	compactcontrol:SetBackground("QueekusPlugins/mgabc/CompactbasicBlue.tga");

	end

	Notes = Turbine.UI.Lotro.TextBox();
	Notes:SetParent( window );
	Notes:SetSelectable( true );
	Notes:SetPosition( 10, 132 );
	Notes:SetSize( 398, 300 );
	Notes:SetBackColor( Turbine.UI.Color( RColor, GColor, BColor ) );
	Notes:SetText( ""..Lang[1][11] );
	Notes:SetTextAlignment( Turbine.UI.ContentAlignment.TopLeft );

	sidebar = Turbine.UI.Lotro.ScrollBar();
	sidebar:SetOrientation( Turbine.UI.Orientation.Vertical );
	sidebar:SetParent( window );
	sidebar:SetSize( 8, 300 );
	sidebar:SetPosition( 402, 132 );
	sidebar:SetZOrder(60);
	Notes:SetVerticalScrollBar( sidebar );

	Turbine.Shell.WriteLine(""..Lang[1][12] );

end



TestCommand = Turbine.ShellCommand();

Turbine.Shell.AddCommand("mgabc",TestCommand);

function TestCommand:Execute( command, arguments)

	if (arguments=="show") then
		window:SetVisible( true )

	elseif (arguments=="hide") then
		window:SetVisible( false )

	elseif (arguments=="toggle") then
		window:SetVisible(not window:IsVisible());

	elseif (arguments=="compact") then
		Notes:SetVisible(not Notes:IsVisible());
		sidebar:SetVisible(not sidebar:IsVisible());

		if (Notes:IsVisible() == true) then
			window:SetSize( 418, 460 );
			Copywrite:SetPosition( 50, 435 );	
			sidebar:SetParent( window );

		elseif (Notes:IsVisible() == false) then
			window:SetSize( 418, 160 );
			Copywrite:SetPosition( 50, 135 );
			sidebar:SetParent();

		end

	elseif (arguments=="") then
		Turbine.Shell.WriteLine("");
		Turbine.Shell.WriteLine("");
		Turbine.Shell.WriteLine("------------------------------------");
		Turbine.Shell.WriteLine("------------------------------------");
		Turbine.Shell.WriteLine(""..Lang[1][13]);
		Turbine.Shell.WriteLine("------------------------------------");
		Turbine.Shell.WriteLine("------------------------------------");
		Turbine.Shell.WriteLine(""..Lang[1][14] );
		Turbine.Shell.WriteLine("------------------------------------");
		Turbine.Shell.WriteLine(""..Lang[1][15] );
		Turbine.Shell.WriteLine(""..Lang[1][16] );
		Turbine.Shell.WriteLine(""..Lang[1][17] );
		Turbine.Shell.WriteLine(""..Lang[1][18] );
		Turbine.Shell.WriteLine(""..Lang[1][20] );
		Turbine.Shell.WriteLine("------------------------------------");
		Turbine.Shell.WriteLine("");
	end
end

